using System;
using System.Data;
using System.Web;
using System.Web.UI;
using BoyunBase;
using SiteCore;

public partial class Part_ImageView : System.Web.UI.UserControl
{
    protected void Page_Load( object sender, EventArgs e )
    {
        try {
            if( IsPostBack ) return;

            PartAccess pAcs = new PartAccess( this );
            if( !pAcs.IsReady ) return;

            string linkUrl = pAcs.GetSetting("linkUrl"); //Todo.DebugOut("linkUrl=" + linkUrl);
            if( linkUrl != "" ) lnkImage.HRef = linkUrl;
            imgImage.Src = pAcs.GetSetting( "imagePath" );

        } catch( Exception ex ) {
            Todo.DebugOut( "¼ÓÔØ Part_ImageView ³öÏÖÒì³££º" + ex.Message );
        }
    }
}
